## EXPORT_SPEC int UpnpOpenHttpGetProxy

## ( IN const char* url,
IN const char* proxy_str,
IN OUT void** handle,
IN OUT char** contentType,
IN OUT int* contentLength,
IN OUT int* httpStatus,
IN int timeout )

> UpnpOpenHttpGetProxy gets a file specified in a URL through the specified proxy.

## Documentation

> UpnpOpenHttpGetProxy gets a file specified in a URL through the specified proxy. The SDK allocates the memory for handle and contentType, the application is responsible for freeing this memory.

Parameters:
  url - The URL of an item to get.
  proxy_str - The URL of the proxy.
  handle - A pointer to store the handle for this connection.
  contentType - A buffer to store the media type of the item.
  contentLength - A pointer to store the length of the item.
  httpStatus - The status returned on receiving a response message.
  timeout - The time out value sent with the request during which a response is expected from the server, failing which, an error is reported back to the user.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_PARAM`: Either url, handle, contentType, contentLength or httpStatus is not a valid pointer.
  - `UPNP_E_INVALID_URL`: The url is not a valid URL.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to download this file.
  - `UPNP_E_NETWORK_ERROR`: A network error occurred.
  - `UPNP_E_SOCKET_WRITE`: An error or timeout occurred writing to a socket.
  - `UPNP_E_SOCKET_READ`: An error or timeout occurred reading from a socket.
  - `UPNP_E_SOCKET_BIND`: An error occurred binding a socket.
  - `UPNP_E_SOCKET_CONNECT`: An error occurred connecting a socket.
  - `UPNP_E_OUTOF_SOCKET`: Too many sockets are currently allocated.
  - `UPNP_E_BAD_RESPONSE`: A bad response was received from the remote server.

Alphabetic index

This page was generated with the help of DOC++.